aboutsummaryrefslogtreecommitdiffstats
path: root/testing/leptonica/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-04-30 16:51:35 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-04-30 16:51:35 +0200
commit5be345d72e06fb46743424480aebb8e018875746 (patch)
tree68697409042cbbccb10c698a8e35fa99f7c033a9 /testing/leptonica/APKBUILD
parentb71162a8a09224207fb7b4bacdf4b23ec4067796 (diff)
downloadaports-5be345d72e06fb46743424480aebb8e018875746.tar.gz
aports-5be345d72e06fb46743424480aebb8e018875746.tar.bz2
aports-5be345d72e06fb46743424480aebb8e018875746.tar.xz
testing/leptonica: new aport
Diffstat (limited to 'testing/leptonica/APKBUILD')
-rw-r--r--testing/leptonica/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/leptonica/APKBUILD b/testing/leptonica/APKBUILD
new file mode 100644
index 0000000000..5015634591
--- /dev/null
+++ b/testing/leptonica/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=leptonica
+pkgver=1.72
+pkgrel=0
+pkgdesc="Software that is broadly useful for image processing and image analysis applications"
+url="http://www.leptonica.com/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="libjpeg-turbo-dev tiff-dev libpng-dev zlib-dev giflib-dev libwebp-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.leptonica.com/source/leptonica-$pkgver.tar.gz"
+
+_builddir="$srcdir"/leptonica-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="7581db29f8442197ce68e766c6047c4b leptonica-1.72.tar.gz"
+sha256sums="79d5eadd32658c9fea38700c975d60aa3d088eaa3e307659f004d40834de1f56 leptonica-1.72.tar.gz"
+sha512sums="8cb7acade68fbd9239dee4c24c5f35fd4cbb4db9e36fbf596478bd1e4635e45034664a16cec21c084091fbad64b4b6e78a4cb43fda8d0c0fc32f55a8cbf110d2 leptonica-1.72.tar.gz"